curl --request POST \
--url https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"channelId": "<string>",
"locationId": "<string>",
"clientId": "<string>",
"deliveryMode": "CLOUD",
"edgeDeviceId": "<string>",
"acceptsPlanScreen": false
}
'import requests
url = "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens"
payload = {
"name": "<string>",
"channelId": "<string>",
"locationId": "<string>",
"clientId": "<string>",
"deliveryMode": "CLOUD",
"edgeDeviceId": "<string>",
"acceptsPlanScreen": False
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
channelId: '<string>',
locationId: '<string>',
clientId: '<string>',
deliveryMode: 'CLOUD',
edgeDeviceId: '<string>',
acceptsPlanScreen: false
})
};
fetch('https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'channelId' => '<string>',
'locationId' => '<string>',
'clientId' => '<string>',
'deliveryMode' => 'CLOUD',
'edgeDeviceId' => '<string>',
'acceptsPlanScreen' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"channelId\": \"<string>\",\n \"locationId\": \"<string>\",\n \"clientId\": \"<string>\",\n \"deliveryMode\": \"CLOUD\",\n \"edgeDeviceId\": \"<string>\",\n \"acceptsPlanScreen\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"channelId\": \"<string>\",\n \"locationId\": \"<string>\",\n \"clientId\": \"<string>\",\n \"deliveryMode\": \"CLOUD\",\n \"edgeDeviceId\": \"<string>\",\n \"acceptsPlanScreen\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"channelId\": \"<string>\",\n \"locationId\": \"<string>\",\n \"clientId\": \"<string>\",\n \"deliveryMode\": \"CLOUD\",\n \"edgeDeviceId\": \"<string>\",\n \"acceptsPlanScreen\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"name": "<string>",
"channelId": "<string>",
"locationId": "<string>",
"clientId": "<string>",
"status": "ONLINE",
"storedStatus": "<string>",
"paired": true,
"deliveryMode": "CLOUD",
"edgeDeviceId": "<string>",
"playbackEnabled": true,
"videoMuted": true,
"targetWidthPx": 123,
"targetHeightPx": 123,
"contentFitMode": "<string>",
"contentAnchor": "<string>",
"contentZoomPct": 123,
"contentOffsetXPct": 123,
"contentOffsetYPct": 123,
"unlockConfigured": true,
"lastPingAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}POST /screens
Workspace-owned resources only. No unsupported query parameters on details or writes. Required permissions: screens.create. Use Postman or your backend. Keep your API key private; do not enter it in this public documentation page.
curl --request POST \
--url https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"channelId": "<string>",
"locationId": "<string>",
"clientId": "<string>",
"deliveryMode": "CLOUD",
"edgeDeviceId": "<string>",
"acceptsPlanScreen": false
}
'import requests
url = "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens"
payload = {
"name": "<string>",
"channelId": "<string>",
"locationId": "<string>",
"clientId": "<string>",
"deliveryMode": "CLOUD",
"edgeDeviceId": "<string>",
"acceptsPlanScreen": False
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
channelId: '<string>',
locationId: '<string>',
clientId: '<string>',
deliveryMode: 'CLOUD',
edgeDeviceId: '<string>',
acceptsPlanScreen: false
})
};
fetch('https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'channelId' => '<string>',
'locationId' => '<string>',
'clientId' => '<string>',
'deliveryMode' => 'CLOUD',
'edgeDeviceId' => '<string>',
'acceptsPlanScreen' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"channelId\": \"<string>\",\n \"locationId\": \"<string>\",\n \"clientId\": \"<string>\",\n \"deliveryMode\": \"CLOUD\",\n \"edgeDeviceId\": \"<string>\",\n \"acceptsPlanScreen\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"channelId\": \"<string>\",\n \"locationId\": \"<string>\",\n \"clientId\": \"<string>\",\n \"deliveryMode\": \"CLOUD\",\n \"edgeDeviceId\": \"<string>\",\n \"acceptsPlanScreen\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.layarva.com/api/platform/v1/workspaces/{workspaceId}/screens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"channelId\": \"<string>\",\n \"locationId\": \"<string>\",\n \"clientId\": \"<string>\",\n \"deliveryMode\": \"CLOUD\",\n \"edgeDeviceId\": \"<string>\",\n \"acceptsPlanScreen\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"name": "<string>",
"channelId": "<string>",
"locationId": "<string>",
"clientId": "<string>",
"status": "ONLINE",
"storedStatus": "<string>",
"paired": true,
"deliveryMode": "CLOUD",
"edgeDeviceId": "<string>",
"playbackEnabled": true,
"videoMuted": true,
"targetWidthPx": 123,
"targetHeightPx": 123,
"contentFitMode": "<string>",
"contentAnchor": "<string>",
"contentZoomPct": 123,
"contentOffsetXPct": 123,
"contentOffsetYPct": 123,
"unlockConfigured": true,
"lastPingAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}screens.create.
Send an Idempotency-Key for this change. It is an operation ID, not an API key. Generate a UUID and reuse it when retrying the same request.
Authorizations
Headers
An operation ID, not your API key. Generate a UUID for each new change and reuse it when retrying the same request. See https://docs.layarva.com/developers/platform-request-keys for Postman, PowerShell and Node.js examples. Upload instructions are refreshed when requested again.
^[A-Za-z0-9._:-]{1,128}$Body
Send application/json using the fields below. JSON requests must be no larger than 64 KiB.
EDGE requires edgeDeviceId; other modes forbid it. OFFLINE requires channelId. All assignments must belong to workspace; quota and acceptsPlanScreen are enforced, not overridden by this flag.

